﻿@using System.Web.UI.WebControls;
@using Portal.Models.Forecast;
@using Portal.Models.SupplierFeedbackPart;
@using Toyota.Common.Web.Credential;
 
@model Toyota.Common.Web.MVC.ModelHolder

@Html.DevExpress().Label(
    label =>
    {
        label.Name = "SFPGFSupplierFeedbackPartViewSelectionLabel";
        label.ClientVisible = false;
    }).GetHtml()
@Html.DevExpress().Label(
    label =>
    {
        label.Name = "SFPGFSupplierFeedbackPartViewSelectionPlantCapLabel";
        label.ClientVisible = false;
    }).GetHtml()
@Html.DevExpress().Label(
    label =>
    {
        label.Name = "SFPGFSupplierFeedbackPartViewSelectionRawCompLabel";
        label.ClientVisible = false;
    }).GetHtml()
@Html.DevExpress().Label(
    label =>
    {
        label.Name = "SFPGFSupplierFeedbackPartViewSelectionRawMatLabel";
        label.ClientVisible = false;
    }).GetHtml()
@Html.DevExpress().Label(
    label =>
    {
        label.Name = "SFPGFSupplierFeedbackPartViewSelectionSupplyLabel";
        label.ClientVisible = false;
    }).GetHtml()

<table cellpadding="0" cellspacing="0" style="width:100%; height:100%; padding: 10px;">
    <tr>
        <td style="vertical-align:top">
            <table cellpadding="0" cellspacing="0" style="width: 100%; border: 1 solid #c0c0c0;">
                <tr>
                    <td rowspan="3" style="width: 150px; border: 1px solid #c0c0c0; font-weight: bolder;
                        padding-left: 5px; text-align: center;">
                        Overal Capability
                    </td>
                </tr>
                <tr>
                    <td width="50px" align="center" style="border: 1px solid #c0c0c0; height: 30px">
                        N<br />Month
                    </td>
                    <td width="50px" align="center" style="border: 1px solid #c0c0c0">
                        N+1<br />Month
                    </td>
                    <td width="50px" align="center" style="border: 1px solid #c0c0c0">
                        N+2<br />Month
                    </td>
                    <td width="50px" align="center" style="border: 1px solid #c0c0c0">
                        N+3<br />Month
                    </td>
                </tr>
                <tr>
                    <td align="center" valign="middle" style="border: 1px solid #c0c0c0; height: 30px;">
                        @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "SFPRHFNMonthOption";
                                settings.Width = Unit.Pixel(45);
                                settings.Properties.Items.Add("OK");
                                settings.Properties.Items.Add("NG");
                                settings.Properties.ClientSideEvents.SelectedIndexChanged = "OnSFPRHFNMonthOptionSelectedIndexChanged";
                                settings.ClientVisible = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_N_REPLIED")) == true ? false : true;
                                settings.Enabled = Model.GetModel<SupplierFeedbackPartParameter>().PARENT == "0" ? false : true;
                            }).GetHtml()
                        @Html.DevExpress().Label(
                            settings =>
                            {
                                settings.Name = "SFPRHFNMonthLabel";

                                settings.Style.Add("line-height", "30px");
                                settings.Style.Add("vertical-align", "middle");

                                settings.Height = Unit.Pixel(30);
                                settings.Width = Unit.Percentage(100);

                                Boolean isValid = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_N_REPLIED")) == true ? true : false;
                                if (isValid)
                                {
                                    settings.ClientVisible = true;
                                    settings.Text = Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "N_STATUS"));

                                    if (Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "N_STATUS")).ToLower().Equals("ok"))
                                    {
                                        settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                    }
                                    else
                                    {
                                        settings.ControlStyle.BackColor = System.Drawing.Color.Red;
                                        settings.ControlStyle.ForeColor = System.Drawing.Color.White;
                                    }
                                }
                                else
                                    settings.ClientVisible = false;
                            }).GetHtml()
                    </td>
                    <td align="center" valign="middle" style="border: 1px solid #c0c0c0;">
                        @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "SFPRHFN1MonthOption";
                                settings.Width = Unit.Pixel(45);
                                settings.Properties.Items.Add("OK");
                                settings.Properties.Items.Add("NG");
                                settings.Properties.ClientSideEvents.SelectedIndexChanged = "OnSFPRHFN1MonthOptionSelectedIndexChanged";
                                settings.ClientVisible = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_N_1_REPLIED")) == true ? false : true;
                                settings.Enabled = Model.GetModel<SupplierFeedbackPartParameter>().PARENT == "0" ? false : true;
                            }).GetHtml()
                        @Html.DevExpress().Label(
                            settings =>
                            {
                                settings.Name = "SFPRHFN1MonthLabel";

                                settings.Style.Add("line-height", "30px");
                                settings.Style.Add("vertical-align", "middle");

                                settings.Height = Unit.Pixel(30);
                                settings.Width = Unit.Percentage(100);

                                Boolean isReplied = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_N_1_REPLIED")) == true ? true : false;
                                if (isReplied)
                                {
                                    settings.ClientVisible = true;
                                    settings.Text = Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "N_1_STATUS"));

                                    if (Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "N_1_STATUS")).ToLower().Equals("ok"))
                                    {
                                        settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                    }
                                    else
                                    {
                                        settings.ControlStyle.BackColor = System.Drawing.Color.Red;
                                        settings.ControlStyle.ForeColor = System.Drawing.Color.White;
                                    }
                                }
                                else
                                    settings.ClientVisible = false;
                            }).GetHtml()
                    </td>
                    <td align="center" valign="middle" style="border: 1px solid #c0c0c0;">
                        @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "SFPRHFN2MonthOption";
                                settings.Width = Unit.Pixel(45);
                                settings.Properties.Items.Add("OK");
                                settings.Properties.Items.Add("NG");
                                settings.Properties.ClientSideEvents.SelectedIndexChanged = "OnSFPRHFN2MonthOptionSelectedIndexChanged";
                                settings.ClientVisible = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_N_2_REPLIED")) == true ? false : true;
                                settings.Enabled = Model.GetModel<SupplierFeedbackPartParameter>().PARENT == "0" ? false : true;
                            }).GetHtml()
                        @Html.DevExpress().Label(
                            settings =>
                            {
                                settings.Name = "SFPRHFN2MonthLabel";

                                settings.Style.Add("line-height", "30px");
                                settings.Style.Add("vertical-align", "middle");

                                settings.Height = Unit.Pixel(30);
                                settings.Width = Unit.Percentage(100);

                                Boolean isValid = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_N_2_REPLIED")) == true ? true : false;
                                if (isValid)
                                {
                                    settings.ClientVisible = true;
                                    settings.Text = Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "N_2_STATUS"));

                                    if (Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "N_2_STATUS")).ToLower().Equals("ok"))
                                    {
                                        settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                    }
                                    else
                                    {
                                        settings.ControlStyle.BackColor = System.Drawing.Color.Red;
                                        settings.ControlStyle.ForeColor = System.Drawing.Color.White;
                                    }
                                }
                                else
                                    settings.ClientVisible = false;
                            }).GetHtml()
                    </td>
                    <td align="center" style="border: 1px solid #c0c0c0;">
                        @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "SFPRHFN3MonthOption";
                                settings.Width = Unit.Pixel(45);
                                settings.Properties.Items.Add("OK");
                                settings.Properties.Items.Add("NG");
                                settings.Properties.ClientSideEvents.SelectedIndexChanged = "OnSFPRHFN3MonthOptionSelectedIndexChanged";
                                settings.ClientVisible = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_N_3_REPLIED")) == true ? false : true;
                                settings.Enabled = Model.GetModel<SupplierFeedbackPartParameter>().PARENT == "0" ? false : true;
                            }).GetHtml()
                        @Html.DevExpress().Label(
                            settings =>
                            {
                                settings.Name = "SFPRHFN3MonthLabel";

                                settings.Style.Add("line-height", "30px");
                                settings.Style.Add("vertical-align", "middle");

                                settings.Height = Unit.Pixel(30);
                                settings.Width = Unit.Percentage(100);

                                Boolean isValid = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_N_3_REPLIED")) == true ? true : false;
                                if (isValid)
                                {
                                    settings.ClientVisible = true;
                                    settings.Text = Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "N_3_STATUS"));

                                    if (Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "N_3_STATUS")).ToLower().Equals("ok"))
                                    {
                                        settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                                    }
                                    else
                                    {
                                        settings.ControlStyle.BackColor = System.Drawing.Color.Red;
                                        settings.ControlStyle.ForeColor = System.Drawing.Color.White;
                                    }
                                }
                                else
                                    settings.ClientVisible = false;
                            }).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>   
    <tr style="padding-top:8px; padding-bottom:10px">
        <td style="padding-top:15px">
            <table cellpadding="0" cellspacing="0">
                <tr>
                    <td style="width:375px"></td> @* column spacing *@
                    <td align="right" style="vertical-align:bottom">
                        @Html.DevExpress().Button(
                        setting =>
                        {
                            var check = "";
                            
                            setting.Name = "SFPRHFOkButton";
                            setting.Text = "Ok";
                            setting.Width = Unit.Pixel(60);
                            setting.Style.Add("display", "inline-table");
                            setting.ClientSideEvents.Click = "OnSFPRHFOkButtonClick";

                            check = Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "LOCK"));

                            if (check == "1")
                            {
                                setting.Enabled = false;
                            }
                            
                            else
                            {
                                if (DataBinder.Eval(Model.GetModel<SupplierFeedbackPartParameter>(), "PARENT") == "0")
                                    setting.Enabled = false;
                                else
                                {
                                    var authorized = Model.GetModel<User>().IsAuthorized("Forecast", "SFPRHFOkButton");
                                    switch (authorized)
                                    {
                                        case 0:
                                            setting.ClientVisible = false;
                                            break;
                                        case 1:
                                            setting.ClientVisible = true;
                                            setting.EnableClientSideAPI = false;
                                            break;
                                        case 2:
                                            setting.ClientVisible = true;
                                            setting.Enabled = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_CONFIRMED")) == true ? false : true;
                                            break;
                                        default:
                                            setting.ClientVisible = true;
                                            setting.Enabled = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_CONFIRMED")) == true ? false : true;
                                            break;
                                    }
                                }
                            }

                        }).GetHtml()
                    </td>
                    <td align="right" style="vertical-align:bottom; padding-left:2px">
                        @Html.DevExpress().Button(
                        setting =>
                        {
                            var check = "";
                            
                            setting.Name = "SFPRHFCancelButton";
                            setting.Text = "Clear";
                            setting.Width = Unit.Pixel(60);
                            setting.Style.Add("display", "inline-table");
                            setting.ClientSideEvents.Click = "OnSFPRHFCancelButtonClick";

                            check = Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "LOCK"));

                            if (check == "1")
                            {
                                setting.Enabled = false;
                            }
                            else
                            {
                                if (DataBinder.Eval(Model.GetModel<SupplierFeedbackPartParameter>(), "PARENT") == "0")
                                    setting.Enabled = false;
                                else
                                    setting.Enabled = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_CONFIRMED")) == true ? false : true;
                            }
                        }).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr> 
</table>

